<?php

require 'config.php';

// Common to all templates
$container = stripslashes( $_POST['container'] );
$server_id = $_POST['server_id'];

// Unique to this template
$step = $_POST['step'];
if( ! $step )
	$step = 1;

check_server_id( $server_id ) or davedap_error( "Bad server_id: " . htmlentities( $server_id ) );
have_auth_info( $server_id ) or davedap_error( "Not enough information to login to server. Please check your configuration." );

?>


<center><i>This template is a work in progress</i></center>
<center><h2>New Organizational Unit</h2></center>

<?php if( $step == 1 ) { ?>

<form action="creation_template.php" method="post">
<input type="hidden" name="step" value="2" />
<input type="hidden" name="server_id" value="<?php echo $server_id; ?>" />
<input type="hidden" name="template" value="<?php echo $_POST['template']; ?>" />

<center>
<table class="new_user_template">
<tr>
	<td></td>
	<td class="heading"><acronym title="Organizational Unit">OU</acronym> Name:</td>
	<td><input type="text" name="ou_name" value="" /> <small>(hint: don't include "ou=")</small></td>
</tr>
<tr>
	<td></td>
	<td class="heading">Container <acronym title="Distinguished Name">DN</acronym>:</td>
	<td><input type="text" name="container" size="40" value="<?php echo htmlentities( utf8_decode( $container ) ); ?>" /></td>
</tr>
<tr>
	<td colspan="3"><center><br /><input type="submit" value="Proceed &gt;&gt;" /></td>
</tr>
</table>
</center>

<?php } elseif( $step == 2 ) {

	$ou_name = trim( stripslashes( $_POST['ou_name'] ) );
	$container = trim( stripslashes( $_POST['container'] ) );

	?>
	<form action="create.php" method="post">
	<input type="hidden" name="server_id" value="<?php echo $server_id; ?>" />
	<input type="hidden" name="new_dn" value="<?php echo htmlentities( 'ou=' . $ou_name . ',' . $container ); ?>" />

	<!-- ObjectClasses  -->
	<?php $object_classes = rawurlencode( serialize( array( 'top', 'organizationalUnit' ) ) ); ?>

	<input type="hidden" name="object_classes" value="<?php echo $object_classes; ?>" />
		
	<!-- The array of attributes/values -->
	<input type="hidden" name="attrs[]" value="ou" />
		<input type="hidden" name="vals[]" value="<?php echo htmlentities($ou_name);?>" />
	<input type="hidden" name="attrs[]" value="cn" />

	<center>
	Do you really want to create a new <acronym title="Organizational Unit">OU</acronym> called<br />
	<br />
	<b><?php echo htmlentities($ou_name); ?></b><br />
	<br />in container<br />
	<br />
	 <b><?php echo htmlentities( $container ); ?></b>?<br />
	<br /><input type="submit" value="Create OU" />
	</center>

<?php } ?>

